summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorStefan Fritsch <sf@debian.org>2010-02-07 09:36:10 +0000
committerStefan Fritsch <sf@sfritsch.de>2012-01-02 10:37:06 +0100
commitf6f56611753ad77ee546c05dd79056a86010ac39 (patch)
tree02b791a993f972ff3ffc11041e282a03524656da /debian
parentd0a7b626d49b960682c02945009cf7c07cec5b0f (diff)
downloadapache2-f6f56611753ad77ee546c05dd79056a86010ac39.tar.gz
Improve htcacheclean handling
git-svn-id: svn+ssh://svn.debian.org/svn/pkg-apache/trunk/apache2@1142 01b336ce-410b-0410-9a02-a0e7f243c266
Diffstat (limited to 'debian')
-rw-r--r--debian/apache2.2-common.apache2.init5
1 files changed, 3 insertions, 2 deletions
diff --git a/debian/apache2.2-common.apache2.init b/debian/apache2.2-common.apache2.init
index e601c212..66501dca 100644
--- a/debian/apache2.2-common.apache2.init
+++ b/debian/apache2.2-common.apache2.init
@@ -85,14 +85,15 @@ check_htcacheclean() {
start_htcacheclean() {
if [ ! -d "$HTCACHECLEAN_PATH" ] ; then
- echo "Directory $HTCACHECLEAN_PATH does not exist!" >&2
+ echo "... directory $HTCACHECLEAN_PATH does not exist!" >&2
+ return 1
fi
$HTCACHECLEAN $HTCACHECLEAN_OPTIONS -d$HTCACHECLEAN_DAEMON_INTERVAL \
-i -p$HTCACHECLEAN_PATH -l$HTCACHECLEAN_SIZE
}
stop_htcacheclean() {
- pkill htcacheclean 2> /dev/null || echo ...not running
+ pkill -P 1 -f "htcacheclean.*\\<-p$HTCACHECLEAN_PATH\\>" 2> /dev/null || echo ...not running
}
pidof_apache() {